> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get context receipt

> Read one context receipt.

**Operation ID:** `http.views.receipts.get`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/context/receipts/{id}
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/context/receipts/{id}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/context/receipts/{id}:
    get:
      tags:
        - Views
      summary: Get context receipt
      description: |-
        Read one context receipt.

        Product guidance: [View](/concepts/view), [Context](/concepts/context).
      operationId: http.views.receipts.get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_views_receipts_get_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_views_receipts_get_response:
      type: object
      properties:
        data:
          type: object
          properties:
            schema:
              type: string
              const: penumbra.context-receipt
            version:
              type: number
              const: 1
            id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            project_id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            slice_id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            slice_version_id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            slice_version_number:
              type: integer
              exclusiveMinimum: 0
              maximum: 9007199254740991
            query:
              type: string
              minLength: 1
              maxLength: 2048
            mode:
              type: string
              enum:
                - lexical
                - hybrid
                - semantic
            max_tokens:
              type: integer
              minimum: 512
              maximum: 32768
            compile_fingerprint:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            definition_hash:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            resolved_hash:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            ontology_revision:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            membership_hash:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            packet_semantic_hash:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            packet_hash:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            counts:
              type: object
              properties:
                evidence:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                entities:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                relationships:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                used_tokens:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
              required:
                - evidence
                - entities
                - relationships
                - used_tokens
              additionalProperties: false
            packet_resource:
              type: string
              minLength: 1
            created_by_subject_id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            created_by_credential_id:
              anyOf:
                - type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                - type: 'null'
            created_at:
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            replayed:
              type: boolean
          required:
            - schema
            - version
            - id
            - project_id
            - slice_id
            - slice_version_id
            - slice_version_number
            - query
            - mode
            - max_tokens
            - compile_fingerprint
            - definition_hash
            - resolved_hash
            - ontology_revision
            - membership_hash
            - packet_semantic_hash
            - packet_hash
            - counts
            - packet_resource
            - created_by_subject_id
            - created_by_credential_id
            - created_at
          additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.